Subject: Re: [PATCH 2/2][AX25] make ax25_queue_xmit a net_device parameter

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Mon, 4 Apr 2005 20:08:39 -0300

On 04 Apr 2005 16:11:36 -0400, jamal <[email-masked]> wrote:
> 
> You probably wanna set skb->input_dev in ax25_type_trans() as well
> something like:
> skb->input_dev = skb->dev = dev

Yup, forgot about this one in this patch, but I want right now is mostly to
reduce open coding all around while maintaining the same behaviour, in
time we can eventually see a better abstraction for this set of operations,
it should also set skb->protocol internally and not return a value to set
skb->protocol, etc. :-)

- Arnaldo